# 项目管理办法
本办法用于规范所有项目成员的行为，控制项目风险和提升项目质量。

## 目标
本办法预期达到以下目标
1. 降低项目风险：通过相关办法，让项目成员能够有意识的约束自己的行为，进而降低整个项目的风险
2. 提高项目质量：通过相关规范，让项目成员能够编写出规范的，标准的项目代码，进而提高整个项目的质量
3. 降低运维成本：通过相关标准，让项目成员的代码风格统一，并按要求提供注释，从而使项目的维护更加简单
4. 提高开发效率：通过相关流程，让项目成员能够更有效的完成开发和测试，进而提高项目开发效率
5. 提升个人能力：通过相关指南，来让实力不足的项目成员能够自主获得能力上的提升

## 项目管理相关规范和办法

### 基本要求
所有成员**必须**严格遵守以下规范和办法
* [敏感信息管理办法](./敏感信息管理办法.md)(2019/9/5)
* [项目基本规范](./规范/README.md)(2019/9/5)

### 进阶要求
项目成员应尽量遵守以下规范
* [项目进阶规范](./规范/项目进阶规范.md)(2019/9/5)

## 操作流程
* [代码仓库操作流程](./流程/代码仓库操作流程.md)(待编辑)
* [测试流程](./流程/测试流程.md)(待编辑)
* [发布流程](./流程/发布流程.md)(待编辑)

## 指南
* [项目开发原则](./指南/项目开发原则.md)(2019/9/5)

## 最后更新
2019/9/5