# 常用变量名及缩写
## 约定俗成的极简变量

| 变量名 | 含义 |
|:-------|:-----|
| a  | 在纯粹的数学计算函数中用作第一个参数 |
| b  | 在纯粹的数学计算函数中用作第二个参数 |
| i  | 通常用于for循环的索引 |
| j  | 在多层循环中用于第二层for循环 |
| k  | 在多层循环中用于第三层for循环，或作为key的缩写使用 |
| n  | 在小型函数和局部变量中临时使用的整型数 |
| m  | 在小型函数和局部变量中临时使用的整型数，通常与n同时使用 |
| s  | 在小型函数和局部变量中临时使用的字符串 |
| t  | 数据库事务Transaction的首字母，表示一个事务实例 |
| _  | 无 | 在多层循环中用于第三层for循环 |

## 常用变量名缩写
若有疏漏欢迎补充
| 缩写 | 原单词 | 别名 | 含义 |
|:-----|:-----|:-----|:-----|
| add  | addition | 无 | 加 |
| addr | address | 无 | 地址 |
| adm  | admin | 无 | 管理/管理员 | 
| app  | application | 无 | 应用/科目 |
| arg  | argment | 无 | 参数 |
| arr  | array | 无 | 数组 |
| attr | attribute | 无 | 属性/特性 |
| auth | authority / authorize | 无 | 权限 |
| avg  | average | 无 | 平均值 |
| btn  | button | 无 | 按钮 |
| buff | buffer | buf | 缓存 |
| calc | calculate | 无 | 计算 |
| cfg  | configuration | config | 配置 |
| char | character | 无 | 字符 |
| cmd  | command | 无 | 命令 |
| cmp  | compare | 无 | 比较 |
| col  | color/column | 无 | 列 |
| cur  | current | 无 | 当前的 |
| db   | database | 无 | 数据库 |
| dec  | decrease / decode | 无 | 减少/解码 |
| dep  | dependency / dependent / depends | 无 | 依赖 |
| dev  | develop / device | 无 | 开发版/设备 |
| dict | dictionary | 无 | 字典 |
| diff | diffrent / difficult | 无 | 差异/难度 |
| dir  | directory | 无 | 目录 |
| div  | division | 无 | 除 |
| dst  | destination | dest | 目的 | 
| doc  | document | 无 | 文档 |
| dup  | duplicate / duplication | 无 | 副本 |
| env  | environment | 无 | 环境 |
| enc  | encode | 无 | 编码 |
| eq   | equal | 无 | 等于 |
| err  | error | 无 | 错误 |
| evt  | event | 无 | 事件/活动 |
| flg  | flag | 无 | 标记 | 
| func | function | 无 | 函数 |
| idx  | index  | i  | 索引 |
| inc  | increment | 无 | 增加 |
| info | information | 无 | 信息/详情 |
| init | initial | 无 | 初始化 |
| img  | image  | 无 | 图片 |
| it   | iterator | itr,iter | 迭代器 |
| len  | length | 无 | 长度 |
| lib  | library | 无 | 库 |
| lnk  | link | 无 | 链接 |
| lst  | list | 无 | 列表 |
| msg  | message | 无 | 消息 |
| mid  | middle | 无 | 中间的 |
| mul  | multiplication | 无 | 乘法 |
| num  | number | n | 整数 |
| nxt  | next | 无 | 下一个 |
| obj  | object | 无 | 对象 |
| op   | operate | 无 | 操作 |
| opt  | option | 无 | 选项 |
| pkg  | package | 无 | 包 |
| pos  | position | 无 | 位置 |
| pre  | previous | prev | 前一个 |
| prm  | parameter | param | 参数 |
| prop | property | 无 | 属性/特性 |
| pt   | point | 无 | 点 |
| ptr  | pointer | 无 | 指针 |
| pwd  | password | 无 | 密码 |
| prod | production | 无 | 正式版 |
| ref  | reference | 无 | 引用 |
| res  | result / resource | 无 | 结果/资源 |
| ret  | return | 无 | 返回 |
| sig  | sign | 无 | 标记 |
| src  | source | 无 | 源 |
| stat | status | 无 | 状态 |
| std  | standard | 无 | 标准 |
| str  | string | s | 字符串 |
| sys  | system | 无 | 系统 |
| tbl  | table  | 无 | 表格 |
| tar  | target | 无 | 目标 |
| tmp  | temporary | temp | 临时的 |
| trans | translate | 无 | 转换 |
| txt  | text   | 无 | 文本 |
| usr  | user   | 无 | 用户 |
| util | utilities | 无 | 工具 |
| val  | value | 无 | 值 |

#修订时间
2019/9/5